Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2681 - PCI probe/depmod fail to detect second network card
Summary: PCI probe/depmod fail to detect second network card
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netcfg
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-09 09:03 UTC by kkress
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-19 20:59:51 UTC


Attachments (Terms of Use)

Description kkress 1999-05-09 09:03:43 UTC
RH5.2 pcnet32 modules gave a SIOCADDRT error and the
loaded the second card.
RH6.0 fails to load the pcnet32 modules twice.
I have two Allied Telesyn AT-2450 cards and am using ipfwadm
and ipmasquerading to protect an internal network.
After upgrading, only one card is recognized. Here's a
snippet from the messages file:

Prior to upgrade:
May  7 23:12:24 cc153170-a kernel: eth0: PCnet/PCI II
79C970A at 0xef80, 00 00 f4 c3 ee 81
May  7 23:12:24 cc153170-a kernel: pcnet32.c:v0.99B 4/4/98
DJBecker/TSBogend.
May  7 23:12:24 cc153170-a kernel: eth1: PCnet/PCI II
79C970A at 0xef40, 00 00 f4 ac 36 38

After upgrade:
May  8 21:49:12 cc153170-a kernel: pcnet32.c: PCI bios is
present, checking for devices...
May  8 21:49:12 cc153170-a kernel: Found PCnet/PCI at
0xef80, irq 10.
May  8 21:49:12 cc153170-a kernel: eth0: PCnet/PCI II
79C970A at 0xef80, 00 00 f4 c3 ee 81 assigned IRQ 10.
May  8 21:49:12 cc153170-a kernel: pcnet32.c:v1.11 17.1.99
tsbogend@alpha.franken.de
May  8 21:49:11 cc153170-a network: Bringing up interface
eth0 succeeded
May  8 21:49:11 cc153170-a ifup: Delaying eth1
initialization.
May  8 21:49:11 cc153170-a network: Bringing up interface
eth1 failed

Ken Kress
kkress@home.com

Comment 1 Christopher Blizzard 1999-08-17 17:47:59 UTC
I've run into this problem with RH 6.0 and some of the internal RH
web servers.  Upgrading to the pcnet32 driver that is from the 2.2.11
kernel and recompiling it with the 2.2.5-22 kernel in RH 6.0 fixes
the problem.  It will detect more than one pcnet32 card.

Comment 2 Bill Nottingham 1999-08-19 20:59:59 UTC
this is fixed in the latest kernel in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.